---
version: 57
---

@import "variables";

*, *::before, *::after {
  box-sizing: border-box;
}

body {
  background: $body-background-color;
  margin: 0;
  padding: 0;
  line-height: 1.6;
  font-family: $sans-font-family;
  font-size: $body-font-size;
  color: $body-color;
}

a, a:visited {
  text-decoration: none;
  color: $link-color;

  &:hover {
    color: $link-color-hover;
    text-decoration: underline;
  }
}

details {
  summary {
    display: list-item;
  }
}

table {
  width: 100%;
  border-collapse: collapse;
  overflow-x: auto;
  margin: 15px auto;
  word-wrap: break-word;
  clear: both;

  thead {
    background: $thead-background-color;
  }

  tbody {
    tr > td {
      max-width: 100%;
      min-width: 100px;
    }
    code {
      word-wrap: break-word;
    }
  }

  td, th {
    text-align: left;
    padding: 7px 10px;
    border: 1px solid $table-border-color;
    font-size: $body-font-size;

    .badge-small {
      &:hover::after {
        padding: 5px;
      }
    }
  }

  @media all and (max-width: $mobile-width) {
    display: block;
  }

  &.borderless-table {
    border: 0;

    tr, td, th {
      border: 0;
    }
  }

  &.center {
    td {
      text-align: center;
    }
  }

  &.fixed-table {
    table-layout: fixed; // use this for columns with the same width
  }
}

blockquote {
  border-width: 0;
  border-left: 5px solid $blockquote-border-color;
  background-color: $blockquote-background-color;
  margin: 20px 0;
  padding: 10px 20px;
  font-size: $body-font-size;

  .highlight {
    background-color: $white;
  }

  //Override bootstrap
  ol:last-child, p:last-child, ul:last-child {
    margin: inherit;
  }
}

pre {
  background-color: $pre-background-color;
  position: relative;

  code {
    color: $code-color;
    background-color: $code-background-color;
    word-wrap: normal;
    word-break: normal;
    white-space: pre;
  }

  .clip-btn {
    display: inline-block;
    padding: 10px;
    padding-left: 10px;
    padding-top: 13px;
    right: 0;
    top: 0;
    cursor: pointer;
    position: absolute;
    color: $white;
    background-color: $pre-code-color;
    border: 0;
    outline: 0;

    i {
      opacity: .5;
      transition: opacity .3s ease-in;
    }

    @media all and (max-width: $mobile-width) {
      display: none;
    }
  }

  &:hover {
    .clip-btn {
      i {
        opacity: 1;
      }
    }
  }
}

.gitlab-embed-snippets {
  .clip-btn {
    display: none;
  }
}

code, code span {
  font-family: $mono-font-family;
}

p code, li code, table code {
  color: $code-color;
  background-color: $code-background-color;
}

a > code {
  color: $link-code-color;
}

hr {
  border: 0;
  border-top: 1px solid $hr-border-color;
}

// Make code in headers match the font size of the given header.
h2, h3, h4, h5, h6 {
  border-bottom: solid 1px $h-border-bottom;
  line-height: 1.4;
  padding-bottom: 5px;

  code {
    color: $code-color;
    background-color: $code-background-color;
  }

  @media all and (min-width: $mobile-width) {
    .anchor {
      opacity: 0;
      float: left;
      margin-left: -30px;
      vertical-align: bottom;
      margin-top: 8px;
      height: 22px;
    }

    &:hover .anchor {
      opacity: 1;
    }
  }
}

// base fonts
// p font size = $body-font-size: 15px;

h1 {
  font-size: 30px;
  font-weight: 500;
  border-bottom: solid 2px $h1-border-bottom;
  padding-bottom: 10px;

  @media (max-width: $mobile-width) {
    font-size: 26px;
  }
}

h2 {
  font-size: 28px;
  font-weight: 400;

  @media (max-width: $mobile-width) {
    font-size: 24px;
  }
}

h3 {
  font-size: 24px;
  font-weight: 400;

  @media (max-width: $mobile-width) {
    font-size: 22px;
  }
}

h4 {
  font-size: 22px;
  font-weight: 400;

  @media (max-width: $mobile-width) {
    font-size: 20px;
  }
}

h5 {
  font-size: 20px;
  color: $color-light-gray;
  font-weight: 500;

  @media (max-width: $mobile-width) {
    font-size: 18px;
  }
}

h6 {
  font-size: 18px;
  color: $color-light-gray;
  font-weight: 500;

  @media (max-width: $mobile-width) {
    font-size: 16px;
  }
}

li {
  ul {
    padding-left: 20px;
  }
}

.float-left {
  float: left;
}

.main {
  margin: auto 15%;
  padding: 8px 40px;
  padding-bottom: 0;
  position: relative;
  width: auto;
  max-width: 900px;
  border-left: 1px solid $main-box-shadow;
  border-right: 1px solid $main-box-shadow;
  background: $main-background-color;
  z-index: 1;

  @media (max-width: $mobile-width) {
    padding: 5px 10px;
  }

  @media(min-width:1601px) {
    margin: auto 18%;
    max-width: 64%;
  }

  &:not(.has-toc) {
    > .doc-nav {
      display: none;
    }
  }

  .edit-on {
    text-align: center;
    border-top: 1px solid $hr-border-color;
    padding-top: 20px;
    margin-top: 15px;
    a {
      color: $h1-border-bottom;
      &::before {
        content: "\f126";
        font-family: FontAwesome;
        font-size: 14px;
        font-style: normal;
        font-weight: normal;
        padding-right: 5px;
        line-height: 10px;
      }
      &:hover {
        color: $color-tanuki-dark;
      }
    }
  }

  // external link
  [href^="http://"], [href^="https://"] {
    &:not([href*="gitlab.com"]) {
      &::after {
        content: "\f08e";
        font-family: FontAwesome;
        font-size: 14px;
        font-style: normal;
        font-weight: normal;
        padding-left: 5px;
        line-height: 10px;
      }
    }
  }

  p {
    margin: 7px 0;
    line-height: 22px;
  }

  ul, ol {
    margin: 20px 0;
  }

  li {
    line-height: 22px;

    > ul, > ol {
      margin-top: 0;
      margin-bottom: 0;
    }
  }

  img {
    max-width: calc(100% - 10px);
    max-height: 100vh;
    box-shadow: 0 4px 18px 0 rgba($color-dark, .1), 0 6px 20px 0 rgba($color-dark, .09);
    margin-bottom: 40px;
    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;
    display: block;
  }

  footer {
    padding: 10px 5px;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;

  }

  .breadcrumbs {
    font-style: italic;
  }
}

// Override Bootstraps default button (for GDS colors)
.btn-default:hover {
  background-color: $button-default-bg-hover;
}

//global nav
.global-nav {
  height: 100%;
  width: 15%;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  overflow: scroll;
  margin-top: 56px;
  padding-top: 15px;
  padding-left: 3px;

  .global-nav-content {
    margin-bottom: 70px;
  }

  a {
    display: block;
    text-decoration: none;

    &.active {
      background-color: $link-color-bg-active;
      font-weight: 600;
      border-left: 3px solid;
      color: $link-color-nav;

      &:hover {
        color: $link-color-nav;
      }
    }
  }

  @media(max-width:1099px) {
    display: none;
  }

  @media(min-width:1601px) {
    width: 18%;
  }
}

.global-nav-block {
  font-weight: 600;
  padding-left: 10px;
}

// scss-lint:disable QualifyingElement
a.global-nav-link, .nav-link {
  padding-top: 1px;
  padding-bottom: 1px;
  text-decoration: none;

  &:hover {
    background-color: $link-color-bg-active;
    color: $link-color-nav-hover;
    box-shadow: 1px 1px 2px $global-nav-link-shadow;
  }
}
// scss-lint:enable QualifyingElement

.global-nav-block-top {
  font-weight: 600;
  margin-bottom: 3px;
  margin-top: 3px;

  a {
    text-decoration: none;
    text-shadow: 3px 3px 5px $link-color-bg-active;
  }
}

// use these classes to add color and padding-left to the nav links
.level-0 {
  padding-left: 10px;
  color: $global-nav-link-level0;

  &.active {
    padding-left: 7px; //10 - 3px of border
  }

  &:visited {
    color: $global-nav-link-level0;
  }
}

.level-1 {
  padding-left: 20px;
  color: $global-nav-link-level1;

  &.active {
    padding-left: 17px; //20 - 3px of border
  }

  &:visited {
    color: $global-nav-link-level1;
  }
}

.level-2 {
  padding-left: 36px;
  color: $global-nav-link-level2;
  font-size: 14px;

  &.active {
    padding-left: 33px; //36 - 3px of border
  }

  &:visited {
    color: $global-nav-link-level2;
  }
}

.global-nav-badges {
  color: $global-nav-link-level2;
  opacity: .4;
  transition: opacity .3s;

  &:hover {
    opacity: 1;
  }
}
//end of global-nav

.last-updated {
  color: $color-light-gray;
  font-size: 13px;
  padding-bottom: 10px;
  text-align: right;
}

.btn-tanuki {
  &:hover {
    background-color: $color-btn-tanuki;
  }
}

// Styles for breadcrumbs navigation
.breadcrumbs {
  white-space: nowrap;
  overflow-x: auto;
  padding: 0;

  .breadcrumb {
    text-overflow: ellipsis;
    display: inline-block;
    overflow-x: hidden;
    // Override bootstrap
    padding: 0;
    margin-bottom: 0;
    background-color: transparent;
    border-radius: 0;

    &:not(:last-child)::after {
      content: "›\00a0";
    }

    &::after {
      padding: 0 4px 0 6px;
    }
  }
}

// Permalinks on header elements.
.anchor {
  display: inline-block;
  width: 1em;
  height: 1em;
  max-height: 25px;
  vertical-align: middle;
  background: url("<%= @items['/assets/images/icon_anchor.svg'].path %>") center center / contain no-repeat;

  &:hover {
    text-decoration: none;
  }
}

// Articles layout
.article-metadata {
  color: $article-metadata;
  display: block;
  order: -1;
  font-style: italic;
  margin-bottom: 15px;
}

.article-content {
  > h1:first-of-type {
    display: none;
  }
}

// Override bootstrap's alert color
.alert {
  color: inherit;
}

.header {
  z-index: 10;
  background: $main-background-color;
  position: relative;
  width: 100%;
  padding: 6px 24px;
  border-bottom: 1px solid $border-color;
  text-align: left;
  display: flex;
  justify-content: space-between;
  white-space: nowrap;

  .logo-container {
    margin-right: 24px;
  }

  @media all and (max-width: $mobile-width) {
    height: auto;
    padding-left: 5px;
  }

  img {
    height: 40px;
  }

  p {
    font-size: 16px;
    color: $black;
    display: inline-block;
    margin-left: 4px;
    -webkit-margin-before: 0;
    -webkit-margin-after: 0;
    margin-block-start: 0;
    margin-block-end: 0;
  }

  ul {
    text-align: right;
    list-style-type: none;

    @media all and (max-width: $mobile-width) {
      display: none;
    }
  }

  @media all and (max-width: $mobile-width) {
    &.active {
      display: block;

      .nav {
        display: block;
        text-align: left;
        padding: 0;
        width: 100%;
      }

      li {
        display: block;
        padding: 10px 0;
      }
    }
  }

  li {
    display: inline-block;
    margin: 0 10px;
  }

  .dropdown-menu {
    li {
      display: block;
    }
  }

  .btn-versions {
    color: $black;
    font-size: 16px;

    &:hover {
      opacity: .8;
    }

    &:active {
      opacity: .8;
      box-shadow: none;
    }
  }

  .versions-menu {
    padding: 0;

    li {
      display: block;
      margin: 5px 0;

      a {
        color: $versions-link-color;

        &:hover {
          color: $versions-link-color-hover;
          background-color: $versions-link-color-bg-hover;
        }
      }

      &.active a {
        background-color: $versions-active-bg-color;
        font-weight: 600;
        color: $link-color-nav;
      }

      &.divider {
        margin: 0;
      }

      i {
        padding-left: 5px;
        opacity: .5;

        &:hover {
          opacity: 1;
        }
      }
    }
  }

  input {
    box-sizing: content-box;
    border: 1px solid $search-border;
    border-radius: $border-radius;
    background: none;
    background-color: $white;
    -webkit-appearance: none;
    padding: 7px 11px 7px 28px;
    width: 260px;
    background-image: url("<%= @items['/assets/images/icon_search.svg'].path %>");
    background-repeat: no-repeat;
    background-size: 14px;
    background-position: 9px 12px;
    outline: 0;

    @media(max-width:$medium-width) {
      width: 210px;
    }

    @media(max-width:$mobile-width) {
      display: none;
    }
  }

  input:focus {
    border: 1px solid $search-border-dark;
  }

  input:visited {
    outline: 0;
    border: 0;
  }

  .nav-container {
    margin: auto 0;

    .docsearch-mobile {
      display: none;
      width: 100%;
      outline: 0;
      margin-top: 12px;

      @media all and (max-width: $mobile-width) {
        display: block;
      }

    }

    .docsearch-mobile:focus {
      border: 1px solid $search-border-dark;
    }

  }

  .nav-toggle {
    display: none;

    @media all and (max-width: $mobile-width) {
      display: inline-block;
      position: absolute;
      top: 15px;
      right: 15px;
      color: $link-color-nav;
    }
  }

  // Override bootstrap
  .nav > li > a {
    text-decoration: none;
    color: $black;
    padding: 10px;
    font-size: 16px;
  }

  // Override bootstrap
  .nav > li > a:focus, .nav > li > a:hover {
    text-decoration: none;
    background-color: transparent;
    opacity: .8;
  }

}


// Home page //

.landing {

  h2, h3, h4, h5, h6 {
    color: $header-color;
  }

  .landing-header {
    padding: 120px 20px;
    padding-bottom: 220px;
    color: $white;
    background: $landing-background;

    input {
      border-radius: $border-radius;
      font-size: 18px;
      line-height: inherit;
      outline: 0;
    }

    img {
      width: 280px;
    }

    h1 {
      text-align: center;
      letter-spacing: normal;
      white-space: nowrap;

      span {
        margin-left: 8px;
      }

    }

    @media all and (max-width: $mobile-width) {
      h1 {
        font-size: 22px;
        transform: translateY(20px);
      }
    }

  }

  h1 {
    font-size: 34px;
    font-weight: 300;
    margin-top: 20px;
    border-bottom: 0;

    a {
      color: $white;
      text-decoration: none;
    }

  }

  .input-container {
    position: relative;
    margin-top: 30px;

    img {
      position: absolute;
      left: 12px;
      top: calc(50% - 10px);
      height: 20px;
      width: 20px;
      z-index: 1;
      opacity: .8;
    }

    input:focus {
      box-shadow: 0 10px 20px $secondary-box-shadow;
    }

  }

  .docsearch {
    box-sizing: content-box;
    position: relative;
    padding: 12px;
    padding-left: 40px;
    border: 0;
    color: $black;
    width: 500px;
    min-width: 500px;

    @media all and (max-width: $mobile-width) {
      min-width: 230px;
      width: 230px;
    }
  }

  .scrolling-header {
    background: $color-white;
    border-bottom: 1px solid $color-gray-extra-light;

    @media all and (max-width: $mobile-width) {
      padding: 10px;
    }

  }

  .header-link {
    color: $color-white;

    @media all and (max-width: $mobile-width) {
      font-size: .8em;
    }

  }

  .header-link:hover {
    color: $color-white;
  }

  .scrolling-header-links {
    color: $black;
  }

  .scrolling-header-links:hover {
    color: $black;
  }

  .landing-header-top {
    z-index: 1000;
    position: fixed;
    width: 100%;
    padding: 4px 24px;
    text-align: left;
    display: flex;
    justify-content: space-between;
    align-items: center;
    white-space: nowrap;
    overflow: auto;
    // font-size: 1.1em;
    transition: .2s cubic-bezier(0, 0, 0, 1);

    a:hover {
      opacity: .8;
    }

    p {
      margin: 0;
      font-size: 16px;
    }

    .logo {
      height: 40px;
      margin-right: 6px;
    }

    .logo-container {
      margin-right: auto;
    }

    .nav-item {
      padding: 10px 18px;
      margin-right: 4px;
      text-align: center;

      @media all and (max-width: $mobile-width) {
        font-size: .8em;
        padding: 10px;
        margin-right: 0;
      }

    }

    @media all and (max-width: $mobile-width) {
      height: auto;
      padding: 10px;
    }

    ul {
      text-align: right;
      list-style-type: none;
      display: inline-block;

      @media all and (max-width: $mobile-width) {
        display: none;
      }
    }

    @media all and (max-width: $mobile-width) {
      &.active {
        display: block;

        ul {
          display: block;
          text-align: left;
          padding: 0;
          width: 100%;
        }

        li {
          display: block;
          padding: 10px 0;
        }
      }
    }

    li {
      display: inline-block;
      line-height: 20px;
      margin: 0 10px;
      vertical-align: middle;
    }

    input {
      box-sizing: content-box;
      border: 1px solid $search-border;
      border-radius: $border-radius;
      background-color: $white;
      -webkit-appearance: none;
      padding: 7px 11px 7px 28px;
      margin: -20;
      width: 190px;
      background-image: url("<%= @items['/assets/images/icon_search.svg'].path %>");
      background-repeat: no-repeat;
      background-size: 16px;
      background-position: 7px 8px;

      @media(max-width:1099px) {
        width: 130px;
      }
    }

    .nav-container {
      margin: auto 0;
      display: flex;
    }

    .nav-toggle {
      display: none;

      @media all and (max-width: $mobile-width) {
        display: inline-block;
        position: absolute;
        top: 15px;
        right: 15px;
      }

    }

  }

  .footer-link-title {
    color: $color-white;
  }

  .row {
    margin: 0;
    margin-right: 0;
    margin-left: 0;
    max-width: 100%;
  }

  .topics-container {
    margin-top: 60px;

    .topic {
      color: $blog-color-text;
      width: 100%;

      @media all and (max-width: $mobile-width) {
        margin-bottom: 20px;
      }

    }

    .topic:hover {
      opacity: .6;
      color: $black;
    }

    .topic:not(:first-child) {
      margin-left: 40px;

      @media all and (max-width: $mobile-width) {
        margin-left: 0;
      }

    }

    h4 {
      font-weight: 600;
      color: $black;
    }

    @media all and (max-width: $mobile-width) {
      flex-wrap: wrap;
      margin-top: 40px;
    }

  }

  .popular-topics {
    width: 100%;
    max-width: 1200px;
    margin: auto;
    padding: 100px 30px;
    padding-top: 0;
    padding-bottom: 160px;

    h1 {
      text-align: center;
      color: $header-color;
    }

    @media all and (max-width: $mobile-width) {
      flex-wrap: wrap;
      padding-bottom: 80px;
    }

  }

}

// End of landing wrapper

.main-topics {
  position: relative;
  display: flex;
  flex-flow: row wrap;
  top: -80px;
  max-width: 1200px;
  margin: auto;
  padding: 0 20px;

  li {
    display: inline-block;
    background-color: $white;
    border-radius: 3px;
    box-shadow: 0 2px 4px $main-box-shadow;
    margin: 10px;
    flex: 1 0 270px;
    min-width: 270px;

    @media all and (max-width: $mobile-width) {
      width: 100%;
      min-width: auto;
      flex: initial;
      margin: 0;
      margin-top: 20px;
    }

    a p, a:visited p {
      color: $black;
      vertical-align: bottom;
    }

    .wrapper {
      padding: 40px;

      img {
        height: 76px;
        margin: auto;
        margin-bottom: 20px;
        transition: .2s cubic-bezier(0, 0, 0, 1);
      }

      h2 {
        border-bottom: 1px solid $hr-border-color;
      }

      .topic-info {
        transition: .2s cubic-bezier(0, 0, 0, 1);
      }

      @media all and (max-width: $mobile-width) {
        padding: 30px;
      }
    }

    h2 {
      text-align: center;
      font-weight: 400;
    }

    a, a:visited {
      text-decoration: none;

      h2 {
        height: 50px;
        margin: 10px 0 25px;
        margin-top: 0;

        @media all and (max-width: $mobile-width) {
          height: auto;
        }
      }
    }
  }

  li:hover {
    img {
      transform: scale(1.05);
    }
    .topic-info {
      transform: translateY(4px);
    }
  }

}

// https://gitlab.com/gitlab-com/gitlab-docs/issues/107#note_36655246
h1, h2, h3, h4, h5, h6 {
  &[id]::before {
    display: block;
    content: " ";
    margin-top: -75px;
    height: 75px;
    visibility: hidden;
  }
}

//badges
.badges-drop {
  display: inline-block;
  cursor: pointer;
  padding-left: 5px;
  transition: background-color .5s ease-in-out;

  .badge-gitlab,
  .badge-gitlab-com {
    &::after {
      content: "";
      display: block;
      width: 0;
      height: 2px;
      transition: width .3s;
      opacity: .5;
    }
  }

  .badge-gitlab {
    &::after {
      background: $badge-gitlab;
    }
  }

  .badge-gitlab-com {
    &::after {
      background: $badge-gitlab-com;
    }
  }

  &:hover {
    .badge-gitlab,
    .badge-gitlab-com {
      &::after {
        width: 100%;
      }
    }
  }
}

h1, h2, h3, h4 {
  .badge-display {
    font-size: 11px;
  }
}

h5, h6 {
  .badge-display {
    font-size: 10px;
    padding: 2px 4px;
  }
}

p, li {
  .badge-display {
    font-size: 9px;
    padding: 1px;
  }
}

p {
  .badges-drop {
    margin-left: 3px;
    margin-right: 0;
  }
}

// scss-lint:disable MergeableSelector
// skipping scss-lint rule: keeping all the badges styles together
h1, h2, h3, h4, h5, h6 {
  .badges-drop {
    float: right;
  }
}

h1 {
  @media all and (max-width: $mobile-width) {
    .badges-drop {
      padding-top: 5px;
    }
  }
}

li {
  .badges-drop {
    margin-left: 0;
    margin-right: 3px;
  }
}
// scss-lint:enable MergeableSelector

.badge-display {
  text-transform: uppercase;
  text-align: center;
  display: inline-block;
  color: $white;
  margin-left: 2px;
  border-radius: 2px;
  font-size: 1em;
  font-weight: 700;
  letter-spacing: .02em;
  line-height: 1.4;
}

.badge-gitlab {
  color: $badge-gitlab;
}

.badge-gitlab-com {
  color: $badge-gitlab-com;
  padding-left: 5px;
}

.badge-small {
  color: $badge-gitlab;
  opacity: .6;
  transition: opacity .3s;

  &:hover {
    opacity: 1;

    &::after {
      content: attr(data-title);
      text-transform: uppercase;
      font-weight: 700;
      font-size: .7em;
      display: inline;
      position: absolute;
      padding: 1px 5px;
      opacity: 1;
      background-color: $white;
      white-space: nowrap;
      border-radius: 2px;
      max-width: 150px;
    }
  }
}

// scss-lint:disable ImportantRule
.dotcom-false {
  .badge-gitlab-com {
    display: none;
  }
}
// scss-lint:enable ImportantRule

.doc-nav,
.breadcrumb {
  .badge-trigger {
    display: none;
  }
}

//
// Algolia search for mobile
// https://github.com/algolia/docsearch/issues/181#issuecomment-301730219
//
// Since some values are added by Javascript, we have to add the
// !important option to override these values.
// scss-lint:disable ImportantRule
.algolia-autocomplete {
  // On a max-width of 768px
  @media (max-width: 768px) {
    .ds-dropdown-menu {
      max-width: 100% !important;
      min-width: 350px !important;
      width: 370px !important;
    }
    .algolia-docsearch-suggestion--content {
      width: 100% !important;
      padding-left: 0 !important;
    }
    .algolia-docsearch-suggestion--content::before {
      display: none !important;
    }
    .algolia-docsearch-suggestion--subcategory-column {
      display: none !important;
    }
  }
}
// scss-lint:enable ImportantRule

.flex-container {
  display: flex;
}

.justify-center {
  justify-content: center;
}

.align-center {
  align-items: center;
}

.full-width {
  width: 100%;
}

.flex-column {
  flex-direction: column;
}

//in-page styles
.center {
  text-align: center;
}

.justify {
  text-align: justify;
}

.right {
  text-align: right;
}

.left {
  text-align: left;
}

.middle {
  margin-left: auto;
  margin-right: auto;
}

.youtube {
  color: $youtube;
}

.half-width {
  width: 50%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

.width-60 {
  width: 60%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

.width-70 {
  width: 70%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

.width-75 {
  width: 75%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

.width-80 {
  width: 80%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

.width-90 {
  width: 90%;

  @media all and (max-width: $mobile-width) {
    width: 100%;
  }
}

// scss-lint:disable ImportantRule
.display-none {
  display: none !important;
}

.display-block {
  display: block !important;
}

.image-noshadow {
  box-shadow: none !important;
}
// scss-lint:enable ImportantRule

//end of in-page styles
